> ## Documentation Index
> Fetch the complete documentation index at: https://docs.getasset.com/llms.txt
> Use this file to discover all available pages before exploring further.

# Get all Tasks for a Business

> **Scopes:** `request:read`



## OpenAPI

````yaml /api-reference/openapi.json get /v0/business/{business_id}/task
openapi: 3.1.0
info:
  title: Asset API
  version: '0.1'
servers:
  - url: https://api.sandbox.getasset.com
    description: Sandbox
  - url: https://api.getasset.com
    description: Production
security: []
paths:
  /v0/business/{business_id}/task:
    get:
      tags:
        - Request
      summary: Get all Tasks for a Business
      description: '**Scopes:** `request:read`'
      operationId: get_business_tasks_v0_business__business_id__task_get
      parameters:
        - name: business_id
          in: path
          required: true
          schema:
            description: The id of the business
            examples:
              - biz_GA6EG2qFxA97NZHtxeLPUy
            type: string
            format: biz_string
            title: Business Id
          description: The id of the business
        - name: status
          in: query
          required: false
          schema:
            $ref: '#/components/schemas/TaskStatus'
            description: Filter tasks by status. Defaults to `pending`
            default: pending
          description: Filter tasks by status. Defaults to `pending`
        - name: task_type
          in: query
          required: false
          schema:
            anyOf:
              - type: array
                items:
                  $ref: '#/components/schemas/TaskType'
              - type: 'null'
            description: Filter tasks by type. Supports multiple values.
            title: Task Type
          description: Filter tasks by type. Supports multiple values.
        - name: page_token
          in: query
          required: false
          schema:
            anyOf:
              - type: string
                description: The page token to for the next or previous page
              - type: 'null'
            title: Page Token
        - name: page_size
          in: query
          required: false
          schema:
            type: integer
            maximum: 100
            minimum: 1
            default: 100
            title: Page Size
      responses:
        '200':
          description: Successful Response
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/TasksPaginated'
        '401':
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/ErrorResponse'
          description: Unauthorized
        '403':
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/ErrorResponse'
          description: Forbidden
        '404':
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/ErrorResponse'
          description: Not Found
        '422':
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/ErrorResponse'
          description: Unprocessable Content
        '503':
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/ErrorResponse'
          description: Service Unavailable
      security:
        - OAuth2PasswordBearer:
            - request:read
components:
  schemas:
    TaskStatus:
      type: string
      enum:
        - pending
        - completed
      title: TaskStatus
    TaskType:
      type: string
      enum:
        - reconnect_account
        - categorize_transaction
        - review_personal_transaction
        - other
        - request_receipt
        - request_statement
        - request_other_document
        - request_payroll
        - review_transactions
      title: TaskType
    TasksPaginated:
      properties:
        data:
          $ref: '#/components/schemas/TasksCounts'
        pagination:
          $ref: '#/components/schemas/PaginationResponse'
      type: object
      required:
        - data
        - pagination
      title: TasksPaginated
    ErrorResponse:
      properties:
        error:
          anyOf:
            - type: string
            - type: 'null'
          title: Error
          description: A description of the error
        data:
          title: Data
          description: Data associated with the error
      type: object
      required:
        - error
        - data
      title: ErrorResponse
    TasksCounts:
      properties:
        tasks:
          items:
            anyOf:
              - $ref: '#/components/schemas/TaskPublic'
              - $ref: '#/components/schemas/TaskCategorizationPublic'
              - $ref: '#/components/schemas/TaskReconnectAccountPublic'
              - $ref: '#/components/schemas/TaskRequestReceiptPublic'
              - $ref: '#/components/schemas/TaskRequestStatementPublic'
              - $ref: '#/components/schemas/TaskRequestPayrollPublic'
              - $ref: '#/components/schemas/TaskReviewTransactionsPublic'
          type: array
          title: Tasks
        counts:
          items:
            $ref: '#/components/schemas/TaskTypeCount'
          type: array
          title: Counts
      type: object
      required:
        - tasks
        - counts
      title: TasksCounts
    PaginationResponse:
      properties:
        next_page_token:
          anyOf:
            - type: string
            - type: 'null'
          title: Next Page Token
          description: The next page token
        previous_page_token:
          anyOf:
            - type: string
            - type: 'null'
          title: Previous Page Token
          description: The previous page token
      type: object
      title: PaginationResponse
    TaskPublic:
      properties:
        business_id:
          type: string
          format: biz_string
          title: Business Id
          description: The id of the business
          examples:
            - biz_Pk2fNFDd8wj7EFeLWJywc7
        description:
          anyOf:
            - type: string
              maxLength: 255
            - type: 'null'
          title: Description
          description: The task description
          examples:
            - ABC Business Checking
        status:
          $ref: '#/components/schemas/TaskStatus'
          description: The status of the task.
        task_type:
          $ref: '#/components/schemas/TaskType'
          description: The type of task.
        first_requested_at:
          anyOf:
            - type: string
              format: date-time
            - type: 'null'
          title: First Requested At
          description: >-
            The first time the task was requested to the business. This is only
            available for tasks that require business input.
        last_requested_at:
          anyOf:
            - type: string
              format: date-time
            - type: 'null'
          title: Last Requested At
          description: >-
            The last time the task was requested to the business. This is only
            available for tasks that require business input.
        id:
          type: string
          format: tsk_string
          title: Id
          description: The id of the task
          examples:
            - tsk_R2fAXCjqJPdpYata112zyW
        month:
          anyOf:
            - type: string
            - type: 'null'
          title: Month
          description: >-
            The month of the books this task is associated with, in YYYY-MM
            format.
          examples:
            - 2025-01
      type: object
      required:
        - business_id
        - status
        - task_type
        - id
      title: TaskPublic
    TaskCategorizationPublic:
      properties:
        business_id:
          type: string
          format: biz_string
          title: Business Id
          description: The id of the business
          examples:
            - biz_Pk2fNFDd8wj7EFeLWJywc7
        description:
          anyOf:
            - type: string
              maxLength: 255
            - type: 'null'
          title: Description
          description: The task description
          examples:
            - ABC Business Checking
        status:
          $ref: '#/components/schemas/TaskStatus'
          description: The status of the task.
        task_type:
          $ref: '#/components/schemas/TaskType'
          description: The type of task.
        first_requested_at:
          anyOf:
            - type: string
              format: date-time
            - type: 'null'
          title: First Requested At
          description: >-
            The first time the task was requested to the business. This is only
            available for tasks that require business input.
        last_requested_at:
          anyOf:
            - type: string
              format: date-time
            - type: 'null'
          title: Last Requested At
          description: >-
            The last time the task was requested to the business. This is only
            available for tasks that require business input.
        id:
          type: string
          format: tsk_string
          title: Id
          description: The id of the task
          examples:
            - tsk_R2fAXCjqJPdpYata112zyW
        month:
          anyOf:
            - type: string
            - type: 'null'
          title: Month
          description: >-
            The month of the books this task is associated with, in YYYY-MM
            format.
          examples:
            - 2025-01
        transaction_id:
          type: string
          format: txn_string
          title: Transaction Id
          description: The id of the transaction related to the task
          examples:
            - txn_WQMDNUHpBThYSNh4AprDBo
      type: object
      required:
        - business_id
        - status
        - task_type
        - id
        - transaction_id
      title: TaskCategorizationPublic
    TaskReconnectAccountPublic:
      properties:
        business_id:
          type: string
          format: biz_string
          title: Business Id
          description: The id of the business
          examples:
            - biz_Pk2fNFDd8wj7EFeLWJywc7
        description:
          anyOf:
            - type: string
              maxLength: 255
            - type: 'null'
          title: Description
          description: The task description
          examples:
            - ABC Business Checking
        status:
          $ref: '#/components/schemas/TaskStatus'
          description: The status of the task.
        task_type:
          $ref: '#/components/schemas/TaskType'
          description: The type of task.
        first_requested_at:
          anyOf:
            - type: string
              format: date-time
            - type: 'null'
          title: First Requested At
          description: >-
            The first time the task was requested to the business. This is only
            available for tasks that require business input.
        last_requested_at:
          anyOf:
            - type: string
              format: date-time
            - type: 'null'
          title: Last Requested At
          description: >-
            The last time the task was requested to the business. This is only
            available for tasks that require business input.
        id:
          type: string
          format: tsk_string
          title: Id
          description: The id of the task
          examples:
            - tsk_R2fAXCjqJPdpYata112zyW
        month:
          anyOf:
            - type: string
            - type: 'null'
          title: Month
          description: >-
            The month of the books this task is associated with, in YYYY-MM
            format.
          examples:
            - 2025-01
        linked_item_id:
          type: string
          format: lni_string
          title: Linked Item Id
          description: The item id that represents the plaid institution
          examples:
            - lni_WQMDNUHpBThYSNh4AprDBo
      type: object
      required:
        - business_id
        - status
        - task_type
        - id
        - linked_item_id
      title: TaskReconnectAccountPublic
    TaskRequestReceiptPublic:
      properties:
        business_id:
          type: string
          format: biz_string
          title: Business Id
          description: The id of the business
          examples:
            - biz_Pk2fNFDd8wj7EFeLWJywc7
        description:
          anyOf:
            - type: string
              maxLength: 255
            - type: 'null'
          title: Description
          description: The task description
          examples:
            - ABC Business Checking
        status:
          $ref: '#/components/schemas/TaskStatus'
          description: The status of the task.
        task_type:
          $ref: '#/components/schemas/TaskType'
          description: The type of task.
        first_requested_at:
          anyOf:
            - type: string
              format: date-time
            - type: 'null'
          title: First Requested At
          description: >-
            The first time the task was requested to the business. This is only
            available for tasks that require business input.
        last_requested_at:
          anyOf:
            - type: string
              format: date-time
            - type: 'null'
          title: Last Requested At
          description: >-
            The last time the task was requested to the business. This is only
            available for tasks that require business input.
        id:
          type: string
          format: tsk_string
          title: Id
          description: The id of the task
          examples:
            - tsk_R2fAXCjqJPdpYata112zyW
        month:
          anyOf:
            - type: string
            - type: 'null'
          title: Month
          description: >-
            The month of the books this task is associated with, in YYYY-MM
            format.
          examples:
            - 2025-01
        transaction_id:
          type: string
          format: txn_string
          title: Transaction Id
          description: The id of the transaction for which a receipt is requested
          examples:
            - txn_WQMDNUHpBThYSNh4AprDBo
      type: object
      required:
        - business_id
        - status
        - task_type
        - id
        - transaction_id
      title: TaskRequestReceiptPublic
    TaskRequestStatementPublic:
      properties:
        business_id:
          type: string
          format: biz_string
          title: Business Id
          description: The id of the business
          examples:
            - biz_Pk2fNFDd8wj7EFeLWJywc7
        description:
          anyOf:
            - type: string
              maxLength: 255
            - type: 'null'
          title: Description
          description: The task description
          examples:
            - ABC Business Checking
        status:
          $ref: '#/components/schemas/TaskStatus'
          description: The status of the task.
        task_type:
          $ref: '#/components/schemas/TaskType'
          description: The type of task.
        first_requested_at:
          anyOf:
            - type: string
              format: date-time
            - type: 'null'
          title: First Requested At
          description: >-
            The first time the task was requested to the business. This is only
            available for tasks that require business input.
        last_requested_at:
          anyOf:
            - type: string
              format: date-time
            - type: 'null'
          title: Last Requested At
          description: >-
            The last time the task was requested to the business. This is only
            available for tasks that require business input.
        id:
          type: string
          format: tsk_string
          title: Id
          description: The id of the task
          examples:
            - tsk_R2fAXCjqJPdpYata112zyW
        month:
          anyOf:
            - type: string
            - type: 'null'
          title: Month
          description: >-
            The month of the books this task is associated with, in YYYY-MM
            format.
          examples:
            - 2025-01
        external_account_id:
          type: string
          format: eac_string
          title: External Account Id
          description: The id of the External Account for which a statement is requested
          examples:
            - eac_WQMDNUHpBThYSNh4AprDBo
        metadata:
          anyOf:
            - additionalProperties: true
              type: object
            - type: 'null'
          title: Metadata
          description: Task metadata containing request details
      type: object
      required:
        - business_id
        - status
        - task_type
        - id
        - external_account_id
      title: TaskRequestStatementPublic
    TaskRequestPayrollPublic:
      properties:
        business_id:
          type: string
          format: biz_string
          title: Business Id
          description: The id of the business
          examples:
            - biz_Pk2fNFDd8wj7EFeLWJywc7
        description:
          anyOf:
            - type: string
              maxLength: 255
            - type: 'null'
          title: Description
          description: The task description
          examples:
            - ABC Business Checking
        status:
          $ref: '#/components/schemas/TaskStatus'
          description: The status of the task.
        task_type:
          $ref: '#/components/schemas/TaskType'
          description: The type of task.
        first_requested_at:
          anyOf:
            - type: string
              format: date-time
            - type: 'null'
          title: First Requested At
          description: >-
            The first time the task was requested to the business. This is only
            available for tasks that require business input.
        last_requested_at:
          anyOf:
            - type: string
              format: date-time
            - type: 'null'
          title: Last Requested At
          description: >-
            The last time the task was requested to the business. This is only
            available for tasks that require business input.
        id:
          type: string
          format: tsk_string
          title: Id
          description: The id of the task
          examples:
            - tsk_R2fAXCjqJPdpYata112zyW
        month:
          anyOf:
            - type: string
            - type: 'null'
          title: Month
          description: >-
            The month of the books this task is associated with, in YYYY-MM
            format.
          examples:
            - 2025-01
      type: object
      required:
        - business_id
        - status
        - task_type
        - id
      title: TaskRequestPayrollPublic
    TaskReviewTransactionsPublic:
      properties:
        business_id:
          type: string
          format: biz_string
          title: Business Id
          description: The id of the business
          examples:
            - biz_Pk2fNFDd8wj7EFeLWJywc7
        description:
          anyOf:
            - type: string
              maxLength: 255
            - type: 'null'
          title: Description
          description: The task description
          examples:
            - ABC Business Checking
        status:
          $ref: '#/components/schemas/TaskStatus'
          description: The status of the task.
        task_type:
          $ref: '#/components/schemas/TaskType'
          description: The type of task.
        first_requested_at:
          anyOf:
            - type: string
              format: date-time
            - type: 'null'
          title: First Requested At
          description: >-
            The first time the task was requested to the business. This is only
            available for tasks that require business input.
        last_requested_at:
          anyOf:
            - type: string
              format: date-time
            - type: 'null'
          title: Last Requested At
          description: >-
            The last time the task was requested to the business. This is only
            available for tasks that require business input.
        id:
          type: string
          format: tsk_string
          title: Id
          description: The id of the task
          examples:
            - tsk_R2fAXCjqJPdpYata112zyW
        month:
          anyOf:
            - type: string
            - type: 'null'
          title: Month
          description: >-
            The month of the books this task is associated with, in YYYY-MM
            format.
          examples:
            - 2025-01
        metadata:
          anyOf:
            - additionalProperties: true
              type: object
            - type: 'null'
          title: Metadata
          description: Task metadata containing review details
      type: object
      required:
        - business_id
        - status
        - task_type
        - id
      title: TaskReviewTransactionsPublic
    TaskTypeCount:
      properties:
        task_type:
          $ref: '#/components/schemas/TaskType'
          description: The task type
          examples:
            - categorize_transaction
        count:
          type: integer
          title: Count
          description: The number of tasks for the task type
      type: object
      required:
        - task_type
        - count
      title: TaskTypeCount
  securitySchemes:
    OAuth2PasswordBearer:
      type: oauth2
      flows:
        password:
          scopes: {}
          tokenUrl: /v0/auth/token

````